Package com.salesforce.hyperdb.grpc

## Interface QueryParamOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QueryParam`, `QueryParam.Builder`

    public interface QueryParamOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsSettings​(String key)` `map<string, string> settings = 4;`
`QueryParameterArrow` `getArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParameterArrowOrBuilder` `getArrowParametersOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`AttachedDatabase` `getDatabase​(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`
`int` `getDatabaseCount()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`
`List<AttachedDatabase>` `getDatabaseList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`
`AttachedDatabaseOrBuilder` `getDatabaseOrBuilder​(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`
`List<? extends AttachedDatabaseOrBuilder>` `getDatabaseOrBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`
`QueryParameterJson` `getJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParameterJsonOrBuilder` `getJsonParametersOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`long` `getMaxRows()` `uint64 max_rows = 9;`
`OutputFormat` `getOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`int` `getOutputFormatValue()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`QueryParam.ParametersCase` `getParametersCase()`
`QueryParam.ParameterStyle` `getParamStyle()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`int` `getParamStyleValue()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`String` `getQuery()` `string query = 1;`
`com.google.protobuf.ByteString` `getQueryBytes()` `string query = 1;`
`Map<String,​String>` `getSettings()` Deprecated.
`int` `getSettingsCount()` `map<string, string> settings = 4;`
`Map<String,​String>` `getSettingsMap()` `map<string, string> settings = 4;`
`String` `getSettingsOrDefault​(String key, String defaultValue)` `map<string, string> settings = 4;`
`String` `getSettingsOrThrow​(String key)` `map<string, string> settings = 4;`
`QueryParam.TransferMode` `getTransferMode()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`int` `getTransferModeValue()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`boolean` `hasArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`boolean` `hasJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getQuery

    String getQuery()

`string query = 1;`

Returns:
  The query.

#### getQueryBytes

    com.google.protobuf.ByteString getQueryBytes()

`string query = 1;`

Returns:
  The bytes for query.

#### getDatabaseList

    List<AttachedDatabase> getDatabaseList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`

#### getDatabase

    AttachedDatabase getDatabase​(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`

#### getDatabaseCount

    int getDatabaseCount()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`

#### getDatabaseOrBuilderList

    List<? extends AttachedDatabaseOrBuilder> getDatabaseOrBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`

#### getDatabaseOrBuilder

    AttachedDatabaseOrBuilder getDatabaseOrBuilder​(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase database = 2;`

#### getOutputFormatValue

    int getOutputFormatValue()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Returns:
  The enum numeric value on the wire for outputFormat.

#### getOutputFormat

    OutputFormat getOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Returns:
  The outputFormat.

#### getSettingsCount

    int getSettingsCount()

`map<string, string> settings = 4;`

#### containsSettings

    boolean containsSettings​(String key)

`map<string, string> settings = 4;`

#### getSettings

    @Deprecated
    Map<String,​String> getSettings()

Deprecated.
Use `getSettingsMap()` instead.

#### getSettingsMap

    Map<String,​String> getSettingsMap()

`map<string, string> settings = 4;`

#### getSettingsOrDefault

    String getSettingsOrDefault​(String key,
                                String defaultValue)

`map<string, string> settings = 4;`

#### getSettingsOrThrow

    String getSettingsOrThrow​(String key)

`map<string, string> settings = 4;`

#### getTransferModeValue

    int getTransferModeValue()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Returns:
  The enum numeric value on the wire for transferMode.

#### getTransferMode

    QueryParam.TransferMode getTransferMode()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Returns:
  The transferMode.

#### getParamStyleValue

    int getParamStyleValue()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Returns:
  The enum numeric value on the wire for paramStyle.

#### getParamStyle

    QueryParam.ParameterStyle getParamStyle()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Returns:
  The paramStyle.

#### hasArrowParameters

    boolean hasArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Returns:
  Whether the arrowParameters field is set.

#### getArrowParameters

    QueryParameterArrow getArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Returns:
  The arrowParameters.

#### getArrowParametersOrBuilder

    QueryParameterArrowOrBuilder getArrowParametersOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

#### hasJsonParameters

    boolean hasJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Returns:
  Whether the jsonParameters field is set.

#### getJsonParameters

    QueryParameterJson getJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Returns:
  The jsonParameters.

#### getJsonParametersOrBuilder

    QueryParameterJsonOrBuilder getJsonParametersOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

#### getMaxRows

    long getMaxRows()

`uint64 max_rows = 9;`

Returns:
  The maxRows.

#### getParametersCase

    QueryParam.ParametersCase getParametersCase()